WinShopAPI docs
ReferenceItem lists

Payment types

List payment types

GET
/api/item-lists/payment-types

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/payment-types' \  -H 'Authorization: Bearer <access-token>'
[  {    "eshopId": "string",    "id": 0,    "isCash": true,    "isPaidInAdvance": true,    "name": "string"  }]

Create a payment type

POST
/api/item-lists/payment-types

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
isCash?boolean|null
isPaidInAdvance?boolean|null
name?|
Lengthlength <= 50

Response Body

application/json
  1. response
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
isCash?boolean|null
isPaidInAdvance?boolean|null
name?|
Lengthlength <= 50
curl -X POST 'https://<your-instance>/api/item-lists/payment-types' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "eshopId": "string",  "id": 0,  "isCash": true,  "isPaidInAdvance": true,  "name": "string"}

Get a payment type

GET
/api/item-lists/payment-types/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
isCash?boolean|null
isPaidInAdvance?boolean|null
name?|
Lengthlength <= 50
curl -X GET 'https://<your-instance>/api/item-lists/payment-types/0' \  -H 'Authorization: Bearer <access-token>'
{  "eshopId": "string",  "id": 0,  "isCash": true,  "isPaidInAdvance": true,  "name": "string"}

Update a payment type

PATCH
/api/item-lists/payment-types/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
isCash?boolean|null
isPaidInAdvance?boolean|null
name?|
Lengthlength <= 50

Response Body

application/json
  1. response
eshopId?|
Lengthlength <= 50
id?integer
Formatint32
isCash?boolean|null
isPaidInAdvance?boolean|null
name?|
Lengthlength <= 50
curl -X PATCH 'https://<your-instance>/api/item-lists/payment-types/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "eshopId": "string",  "id": 0,  "isCash": true,  "isPaidInAdvance": true,  "name": "string"}

Delete a payment type

DELETE
/api/item-lists/payment-types/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/payment-types/0' \  -H 'Authorization: Bearer <access-token>'
Empty